Bug 206059 - ProxyBinaryIndexer should do timestamp check
ProxyBinaryIndexer should do timestamp check
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@editor
: PERFORMANCE, PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 09:40 UTC by Tomas Zezula
Modified: 2012-03-20 13:46 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-07 09:40:04 UTC
Seems that some binary indexers do not do up to date check, ProxyBinaryIndexer should do it to prevent such indexers to be executed when everything is up to date.
Comment 1 Tomas Zezula 2011-12-07 16:40:06 UTC
Fixed jet-main 39324a17cd89
Comment 2 Quality Engineering 2011-12-08 12:12:22 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/39324a17cd89
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206059:ProxyBinaryIndexer should do timestamp check
Comment 3 Tomas Zezula 2011-12-09 09:50:48 UTC
Speeding even JavaBinaryIndexer, jet-main d00d64d8b0ad
Comment 4 Quality Engineering 2011-12-10 12:05:23 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/d00d64d8b0ad
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206059:ProxyBinaryIndexer should do timestamp check


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo